###############################################################################
# BIUC.pl                                                                     #
###############################################################################
# BIUC: Board Index User Cache                                                #
# Provides for a speed up on the Board Index by using caching.                #
# Version:        1.3 (YaBB 2.0)                                              #
# Released:       October 25th, 2005                                          #
# =========================================================================== #
# Written by AK108 for the YaBB community                                     #
###############################################################################
# BIUC Admin area, changes settings and more                                  # 
###############################################################################

if($action eq 'detailedversion') { return 1; }

LoadLanguage('BIUC');

if(-e "$vardir/cachesettings.txt") {require "$vardir/cachesettings.txt";}

sub BIUCMain {
	$yymain .= qq~
 <form action="$adminurl?action=biucsettings2" method="POST" name="biucsettings">
 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$biuc_txt{1}</b>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2"><br />
		  $biuc_txt{2} $cachettl $biuc_txt{3}<br /><br />
		  $biuc_txt{4} <input type="text" name="ttl" value="$cachettl" /><br /><br />
	   </td>
     </tr>
     <tr valign="middle">
       <td align="center" class="catbg">
		 <input type="submit" name="submit" value="$biuc_txt{5}">
	   </td>
     </tr>
   </table>
 </div>
 </form>
<br />
<br />
 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <b>$biuc_txt{6}</b>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2"><br />
		  $biuc_txt{7}<br /><br />
		  <form action="$adminurl?action=biucinvalidate2" method="POST" name="biucinvalid">
		  <input type="submit" name="invalidate" value="$biuc_txt{6}" /></form><br /><br />
	   </td>
     </tr>
   </table>
 </div>
~;
	$yytitle = "$biuc_txt{0}";
	$action_area = "boardindexusercache";
	&AdminTemplate;
	exit;
}

sub BIUCSettings2 {
	my($cachettl) = $FORM{'ttl'};
	if($cachettl =~ /\D/) {$cachettl = 900;}
	fopen(USERCACHESETTINGS, ">$vardir/cachesettings.txt");
	print USERCACHESETTINGS qq~\$cachettl = $cachettl;\n\n1;~;
	fclose(USERCACHESETTINGS);
	$yySetLocation = qq~$adminurl?action=boardindexusercache~;
	&redirectexit;
}

sub BIUCInvalidate2 {
	if(-e "$vardir/boardindexusers.cache") {unlink("$vardir/boardindexusers.cache");}
	$yySetLocation = qq~$adminurl?action=boardindexusercache~;
	&redirectexit;
}

1;
